Subject: bug#23233: 25.0.92; Crash after doing much work in Proof General

From: John Wiegley <[email-masked]>
Date: Wed, 06 Apr 2016 14:41:22 -0700

>>>>> Eli Zaretskii <[email-masked]> writes:

> with minor variations.  This starts from running a hook:

>     frame #28069: 0x000000010033072c Emacs`run_hook_with_args + 1308
>     frame #28070: 0x00000001003301f4 Emacs`Frun_hook_with_args + 36
>     frame #28071: 0x00000001003301bf Emacs`run_hook + 31
>     frame #28072: 0x0000000100330177 Emacs`Frun_hooks + 55

> so maybe one of your hooks incurs infinite recursion?

I suppose it's always possible, but I wonder then why I don't see this more
often. I'll look for recursions the next time it happens. For now, I'll keep
Emacs under lldb with full debugging (which does make it noticeably slower).

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2